import tkinter as tk
from tkinter import ttk
from window2 import Window2

class Application(tk.Frame):
  def __init__(self, master=None):
    tk.Frame.__init__(self, master)    
    self.pack(fill="both", expand=1)
    self.grid_rowconfigure(0, weight=1)
    self.grid_columnconfigure(0, weight=1)
    
    self.frames = {}
    for f in (Window1, Window2):
      frame = f(self)
      self.frames[f.__name__] = frame
      frame.grid(row=0, column=0, sticky="nsew")
      
    self.show_frame("Window1")    
    
  def show_frame(self, frame_name):
    frame = self.frames[frame_name]
    frame.tkraise()
    
class Window1(tk.Frame):
  def __init__(self, master=None):
    tk.Frame.__init__(self, master)
    self.master = master    
        
    self.createWidgets()    
    
  def createWidgets(self):  
    tk.Label(self, text="Window1").pack()
    tk.Button(self, text="Show me the second window", command=lambda : self.master.show_frame("Window2")).pack()

  
root = tk.Tk()
app = Application(master=root)
app.master.title("Window 1")
app.mainloop()
